%global _empty_manifest_terminate_build 0
Name:           perl-IPC-Run
Version:        20200505.0
Release:        1
Summary:        System() and background procs w/ piping, redirs, ptys (Unix, Win32)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IPC-Run/
Source0:        http://www.cpan.org/authors/id/T/TO/TODDR/IPC-Run-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Pty) >= 1.08
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Readonly::Array)
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(IO::Pty) >= 1.08
Requires:       perl(Readonly)
Requires:       perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
IPC::Run allows you to run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are both
supported and may be mixed.
%package help
Summary : System() and background procs w/ piping, redirs, ptys (Unix, Win32)
Provides: perl-IPC-Run-doc
%description help
IPC::Run allows you to run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are both
supported and may be mixed.
%prep
%setup -q -n IPC-Run-%{version}
rm -f lib/IPC/Run/Win32*
sed -i -e '/^lib\/IPC\/Run\/Win32.*/d' MANIFEST
rm -f t/win32_*
sed -i -e '/^t\/win32_.*/d' MANIFEST
for file in eg/run_daemon abuse/timers abuse/blocking_debug_with_sub_coprocess ; do
    perl -pi -e 's,^#!.*/perl,%{__perl}, if ($. == 1)' "$file"
done
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changelog LICENSE META.json README.md
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Mon Mar 08 2021 Perl_Bot <Perl_Bot@openeuler.org> 20200505.0-1
- Specfile autogenerated by Perl_Bot

